	SUBROUTINE DISTRN ( GAMMA, FCN )

CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C	                    DOUBLE POWER LAW                             C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C    Purpose -     This routine calculates the value of the 
C       electron distribution function.  This information is user specified. 
C       The distribution function is normalized so that Int(dGAMMA)*FCN = 1.

	IMPLICIT NONE

	REAL*8		GAMMA, FCN, K, P, Q

	REAL*8		DENOMA, DENOMB, DENOM, GAMLOW, GAMHIGH, GAMBRK

	COMMON		/DISTFCN/GAMLOW, GAMHIGH, GAMBRK, P, Q

C			Obtain normalization coefficient, K

	  DENOMA = ((GAMBRK-1.0D0)**(1.0D0-P))-((GAMLOW-1.0D0)**(1.0D0-P))
	  DENOMA = DENOMA*(1.0D0-Q)
	  DENOMB = ((GAMHIGH-1.0D0)**(1.0D0-Q))-((GAMBRK-1)**(1.0D0-Q))                                                                                                        
	  DENOMB = DENOMB*(1.0D0-P)*((GAMBRK-1.0D0)**(Q-P))
	  DENOM = DENOMA+DENOMB
	  K = (1.0D0-Q-P+(P*Q))/DENOM

C                 Calculate value of distribution function at GAMMA,
C                 for GAMMA between GAMLOW and GAMBRK, or
C				for GAMMA between GAMBRK and GAMHIGH.

		IF(GAMMA .GE. GAMLOW .AND. GAMMA .LE. GAMBRK) THEN

			FCN = K*((GAMMA-1.0D+00)**(-P))

		ELSEIF(GAMMA .GT. GAMBRK .AND. GAMMA .LE. GAMHIGH) THEN

			FCN = K*((GAMBRK-1.0D+00)**(Q-P)*(GAMMA-1.0D+00)**(-Q))

		ELSE

			FCN = 0.0D+00
	
		ENDIF

	RETURN
	END